For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Get all data diffs

GET
/v1/admin/data-diffs/
GET
/v1/admin/data-diffs/
$curl https://api.propexo.com/v1/admin/data-diffs/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": [
15 {
16 "id": "a3f1c9e2-7b4d-4f9a-9c3e-2d5b7f8a1e4c",
17 "model": "units",
18 "model_record_id": "unit_987654321",
19 "event_type": "NEW",
20 "data_diff": {
21 "rent": {
22 "old": null,
23 "new": 1500
24 },
25 "status": {
26 "old": null,
27 "new": "available"
28 }
29 },
30 "created_at": "2024-05-20T11:45:00Z",
31 "job_id": "job_123456789",
32 "integration_id": "int_456789123",
33 "integration_vendor": "APPFOLIO"
34 }
35 ]
36}
Get all data diffs. Data diffs are stored for 30 days.
Was this page helpful?
Previous

Get log by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
integration_vendorenumOptional
The integration vendor associated with the data diff
integration_idstringOptional
The integration id associated with the data diff
beforestring or nullOptional
Only show data diffs before this timestamp
afterstring or nullOptional
Only show data diffs after this timestamp

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error